Get monitors

Base URL
https://{kibana_url}
  • GET /api/synthetics/monitors
Auth

Get a list of monitors. You must have read privileges for the Synthetics feature in the Observability section of the Kibana feature privileges.

Query parameters

filter string

Additional filtering criteria.

locations union string | string[]

The locations to filter by.

monitorTypes union enum | enum[]

The monitor types to filter.

Values: browser http icmp tcp
page integer

The page number for paginated results.

per_page integer

The number of items to return per page.

projects union string | string[]

The projects to filter by.

query string

A free-text query string.

schedules union string[] | string

The schedules to filter by.

sortField enum

The field to sort the results by.

Values: name createdAt updatedAt status
sortOrder enum

The sort order.

Values: asc desc
status union string[] | string

The status to filter by.

tags union string | string[]

Tags to filter monitors.

useLogicalAndFor union enum | enum[]

Specifies whether to apply logical AND filtering for specific fields. Accepts either a string with values "tags" or "locations" or an array containing both.

Values: tags locations

Response

A successful response.

application/json

Response Type: object

Base URL
https://{kibana_url}